tasksh(1)

NAME
tasksh - Interactive taskwarrior shell

SYNOPSIS
tasksh [<commands-file>]
tasksh --version
tasksh --help

DESCRIPTION
The tasksh program can be used to create a more immersive taskwarrior environment. Any task command you run outside the shell can also be run inside the shell, without the need to prefix every command with "task". When built with libreadline, tasksh provides command editing and history. Tasksh supports all recent versions of Taskwarrior.

COMMANDS
Tasksh supports the following commands. All other commands are passed intact to Taskwarrior.

exit/quit/Ctrl-D
    These commands cause tasksh to terminate.

diagnostics
    Displays settings pertinent to tasksh.

USAGE
Here is an example tasksh session. $ tasksh
task> projects
Project Tasks Pri:None Pri:L Pri:M Pri:H
------- ----- -------- ----- ----- -----
            7 7 0 0 0
home 2 2 0 0 0
party 6 3 0 0 3
3 projects (15 tasks)
task> tags
Tag Count
mall 2
1 tag (15 tasks)
task> list
ID Project Pri Due Active Age Description
---------------------------------------------------------------------
 2 party H 10/17/2010 2 hrs Select and book a venue
 5 party H 10/22/2010 2 hrs Design invitations
 9 home 10/31/2010 1 hr Pay rent
 3 party 2 hrs Mail invitations
 4 party 2 hrs Select a caterer
 6 party 2 hrs Print invitations
 8 tasks
 task> quit
 $

CREDITS & COPYRIGHTS
Copyright (C) 2006 - 2014 P. Beckingham, F. Hernandez. This man page was originally written by Federico Hernandez. Tasksh is distributed under the MIT license. See http://www.opensource.org/licenses/mit-license.php for more information.

SEE ALSO
task(1), For more information regarding tasksh, see the following:

The official site at
    <http://taskwarrior.org/tools>

The official code repository at
    <https://git.tasktools.org/scm/ex/tasksh.git>

You can contact the project by emailing
    <support@tasktools.org>

REPORTING BUGS

Bugs in tasksh may be reported to the issue-tracker at
    <http://bug.tasktools.org>